#version 110

attribute vec3 position;
attribute vec3 color;
varying vec3 cardial_color;

uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;
uniform mat4 modelMatrix;

void main(void) {
	gl_Position = projectionMatrix * viewMatrix * modelMatrix * vec4(position, 1.0);

	cardial_color = color;
}
